Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037079
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-10-16 18:152018-01-03 12:39
ReporterJONHMView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision90ee5c965823
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037079: more records than expected are fetched when filtering by date ranges

DescriptionIt shows more records than expected when filtering by date in grid mode
Steps To ReproduceOpen "Process Monitor" window and filter by 'Start time':
 - From: "Tomorrow"
 - To: "Tomorrow"

-> It shows also records from today
Proposed SolutionON file
./modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java

change
 calendar.set(Calendar.HOUR, 23);
with
 calendar.set(Calendar.HOUR_OF_DAY, 23);
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2017-10-16 18-01-46.png [^] (259,407 bytes) 2017-10-16 18:15

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00180793.0MP4 closedmtaal Date filter is not working correctly 
related to defect 0032600 closedNaroaIriarte Wrong data in csv file exported on different timezone on the client side 
related to defect 0023203 closedAugustoMauch filter does not work with creation date fields 
related to defect 00257553.0PR14Q3 closedguillermogil Grid can not be filtered by creation date adding the filter manually using the keyboard 
related to design defect 0040794 newplatform Is not possible to filter a DateTime column by time 
causes defect 0040735 closedcaristu Records can not be exported to CSV 
causes defect 0040802 closedcaristu Use as filter option is not working properly with date columns 

-  Notes
(0100788)
hgbot (developer)
2017-11-28 16:22

Repository: erp/devel/pi
Changeset: 90ee5c965823996a7b4c0ae17d3a3ca71e3fc703
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Nov 28 13:50:04 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/90ee5c965823996a7b4c0ae17d3a3ca71e3fc703 [^]

fixes bug 37079: wrong result when filtering by a range of a DateTime column

  When filtering by a range of dates, the time is set to 0 or 24 hours (depending on the operator) in order to retrieve properly all the records within the same date range.

  However, when filtering by range of a column based in a reference that includes the time (DateTime/AbsoluteDateTime), it is also needed to compare and therefore it should not be modified

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0100885)
alostale (developer)
2017-12-01 11:21

fixed + reviewed
(0101491)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-10-16 18:15 JONHM New Issue
2017-10-16 18:15 JONHM Assigned To => platform
2017-10-16 18:15 JONHM File Added: Screenshot from 2017-10-16 18-01-46.png
2017-10-16 18:15 JONHM Modules => Core
2017-10-16 18:15 JONHM Triggers an Emergency Pack => No
2017-10-16 18:18 JONHM Steps to Reproduce Updated View Revisions
2017-10-16 18:31 JONHM Description Updated View Revisions
2017-10-17 08:17 alostale Status new => acknowledged
2017-10-17 08:18 alostale Summary It shows more records than expected when filtering by date in grid mode => more records than expected are fetched when filtering by date ranges
2017-11-07 11:57 egoitz Proposed Solution updated
2017-11-09 15:39 inigosanchez Status acknowledged => scheduled
2017-11-09 15:39 inigosanchez Assigned To platform => inigosanchez
2017-11-13 13:30 inigosanchez Assigned To inigosanchez => platform
2017-11-13 13:30 inigosanchez Status scheduled => acknowledged
2017-11-27 09:37 alostale Priority normal => high
2017-11-28 11:02 caristu Relationship added related to 0018079
2017-11-28 11:02 caristu Relationship added related to 0032600
2017-11-28 12:48 caristu Relationship added related to 0023203
2017-11-28 12:59 caristu Relationship added related to 0025755
2017-11-28 16:09 caristu Status acknowledged => scheduled
2017-11-28 16:09 caristu Assigned To platform => caristu
2017-11-28 16:22 hgbot Checkin
2017-11-28 16:22 hgbot Note Added: 0100788
2017-11-28 16:22 hgbot Status scheduled => resolved
2017-11-28 16:22 hgbot Resolution open => fixed
2017-11-28 16:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/90ee5c965823996a7b4c0ae17d3a3ca71e3fc703 [^]
2017-11-28 16:23 caristu Review Assigned To => alostale
2017-12-01 11:21 alostale Note Added: 0100885
2017-12-01 11:21 alostale Status resolved => closed
2017-12-01 11:21 alostale Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101491
2019-05-02 11:19 caristu Relationship added causes 0040735
2019-05-07 11:21 caristu Relationship added related to 0040794
2019-05-20 16:25 caristu Relationship added causes 0040802


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker